%bcond_with doc_pdf

Summary:        OpenTracing interface for Python
Name:           python-opentracing
Version:        2.4.0
Release:        6%{?dist}
License:        ASL 2.0 and MIT
URL:            https://github.com/opentracing/opentracing-python
Source0:        %{url}/archive/%{version}/opentracing-python-%{version}.tar.gz

Patch0001:      0001-Do-not-use-mock-the-PyPI-backport-library-when-possi.patch
Patch0002:      %{url}/pull/159.patch

BuildRequires:  make
BuildRequires:  python3-devel texinfo
%if %{with doc_pdf}
BuildRequires:  python3-sphinx-latex latexmk
%endif

BuildArch:      noarch

%description
This library is a Python platform API for OpenTracing. It allows
Python programs to interact with an OpenTracing server.

%package -n python3-opentracing
Summary: OpenTracing interface for Python

%description -n python3-opentracing
This library is a Python platform API for OpenTracing. It allows
Python programs to interact with an OpenTracing server.

%package doc
Summary: OpenTracing interface for Python - documentation

%description doc
This library is a Python platform API for OpenTracing. It allows
Python programs to interact with an OpenTracing server.
This package contains the documentation.

%prep
%autosetup -n opentracing-python-%{version} -p1
echo 'intersphinx_mapping.clear()' >> docs/conf.py
sed -r -i '/\b(pytest-cov|flake8(-quotest)?)\b/d' setup.py
sed -r -i '/\bdoubles\b/d' setup.py
sed -r -i '/\bgevent\b/d' setup.py
%generate_buildrequires
%pyproject_buildrequires -x tests

%build
%pyproject_wheel
for target in info %{?with_doc_pdf:latex}
do
  PYTHONPATH="%{pyproject_build_lib}" \
      %make_build -C docs "${target}" SPHINXOPTS='%{?_smp_mflags}'
done
%if %{with doc_pdf}
%make_build -C docs/_build/latex LATEXMKOPTS='-quiet'
%endif

%install
%pyproject_install
%pyproject_save_files opentracing
mkdir -p %{buildroot}%{_infodir}
cp -p docs/_build/texinfo/opentracing-python.info %{buildroot}%{_infodir}/

%check
%pytest \
    --ignore='tests/scope_managers/test_gevent.py' \
    --tb short -rxs opentracing tests


%files -n python3-opentracing -f %{pyproject_files}
%doc README.rst CHANGELOG.rst
%{_infodir}/opentracing-python.info*

%files doc
%license LICENSE
%if %{with doc_pdf}
%doc docs/_build/latex/opentracing-python.pdf
%endif

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 19 2022 Miaojun Dong <zoedong@tencent.com> - 2.4.0-1
- initial build
